[passepartout] Added autogen script to set the project up easily
- From: Sven Herzberg <herzi src gnome org>
- To: svn-commits-list gnome org
- Subject: [passepartout] Added autogen script to set the project up easily
- Date: Sat, 11 Apr 2009 10:19:35 -0400 (EDT)
commit 055f679f9d04db5963de60bf0c6a30e570417394
Author: Sven Herzberg <herzi src gnome org>
Date: Wed Jun 13 11:29:32 2007 +0000
Added autogen script to set the project up easily
git-svn-id: http://svn.gnome.org/svn/passepartout/trunk 1506 910bfebc-b532-0410-a802-fb3981afa09c
---
autogen.sh | 38 ++++++++++++++++++++++++++++++++++++++
1 files changed, 38 insertions(+), 0 deletions(-)
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..039af02
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,38 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+PKG_NAME="criawips"
+REQUIRED_LIBTOOL_VERSION=1.4.3
+REQUIRED_AUTOMAKE_VERSION=1.7
+#ACLOCAL_FLAGS="-I macros $ACLOCAL_FLAGS"
+
+(test -f $srcdir/configure.ac \
+ && test -d $srcdir/src) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level $PKG_NAME directory"
+ exit 1
+}
+
+ifs_save="$IFS"; IFS=":"
+for dir in $PATH ; do
+ test -z "$dir" && dir=.
+ if test -f $dir/gnome-autogen.sh ; then
+ gnome_autogen="$dir/gnome-autogen.sh"
+ gnome_datadir=`echo $dir | sed -e 's,/bin$,/share,'`
+ break
+ fi
+done
+IFS="$ifs_save"
+
+if test -z "$gnome_autogen" ; then
+ echo "You need to install the gnome-common module and make"
+ echo "sure the gnome-autogen.sh script is in your \$PATH."
+ exit 1
+fi
+
+NOCONFIGURE="yes" GNOME_DATADIR="$gnome_datadir" USE_GNOME2_MACROS=1 . $gnome_autogen
+
+$srcdir/configure --enable-maintainer-mode `/bin/grep ^DISTCHECK configure.ac | sed 's/^DISTCHECK_CONFIGURE_FLAGS="\(.*\)"$/\1/'` $@
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]